{
    "name": "@golemio/bicycle-parkings",
    "version": "1.1.2",
    "description": "Golemio Bicycle Parkings Module",
    "main": "dist/index.js",
    "types": "dist/index.d.ts",
    "scripts": {
        "build": "rimraf ./dist && ttsc -p ./tsconfig.build.json",
        "build-minimal": "run-s 'build -- --sourceMap false --declaration false'",
        "build-watch": "run-s 'build -- --watch --preserveWatchOutput'",
        "test": "cross-env NODE_ENV=test TS_NODE_COMPILER='ttypescript' mocha --exit --check-leaks --timeout 120000 -r ts-node/register 'test/**/*.test.ts'",
        "test-debug": "run-s 'test -- --inspect-brk=9230'",
        "code-coverage": "nyc run-s 'test -- -r source-map-support/register'",
        "generate-docs": "typedoc --out docs/typedoc src",
        "lint": "eslint \"{src,test}/**/*.ts\""
    },
    "keywords": [
        "golemio"
    ],
    "author": "Operator ICT, a.s.",
    "license": "MIT",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/operator-ict/golemio/code/modules/bicycle-parkings"
    },
    "engines": {
        "node": ">=18.0.0",
        "npm": ">=8.0.0",
        "yarn": "Use npm!"
    },
    "devDependencies": {
        "@commitlint/cli": "^11.0.0",
        "@commitlint/config-conventional": "^11.0.0",
        "@golemio/city-districts": "1.0.5",
        "@golemio/core": "1.2.22",
        "@golemio/eslint-config": "1.1.0",
        "@ovos-media/ts-transform-paths": "^1.7.18-1",
        "@types/chai": "4.2.3",
        "@types/chai-as-promised": "7.1.2",
        "@types/mocha": "^8.2.0",
        "@types/node": "^18.13.0",
        "@types/sinon": "^9.0.10",
        "chai": "4.2.0",
        "chai-as-promised": "7.1.1",
        "cross-env": "^7.0.3",
        "eslint": "^8.1.1",
        "husky": "^4.3.7",
        "mocha": "^8.2.1",
        "npm-run-all": "^4.1.5",
        "nyc": "^15.1.0",
        "prettier": "^2.5.1",
        "pretty-quick": "^3.1.0",
        "rimraf": "^3.0.2",
        "sinon": "^9.2.3",
        "source-map-support": "0.5.19",
        "ts-node": "^10.7.0",
        "ttypescript": "^1.5.13",
        "typedoc": "^0.22.15",
        "typescript": "4.6.4"
    },
    "peerDependencies": {
        "@golemio/city-districts": ">=1.0.5",
        "@golemio/core": ">=1.2.22"
    }
}
